Subject: Re: bug#31953: [VanL] Re: bug#31953: feature request - `highlight-rx` interactively

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 15 Oct 2019 09:53:16 +0200

Phil Sainty <[email-masked]> writes:

> I think the idea is to be able to *interactively* enter rx syntax
> and have it highlighted (as opposed to `highlight-regexp' which will
> obviously treat what you enter interactively as an actual regexp,
> rather than something to be transformed into one).
>
> i.e. These would be equivalent:
>
> M-x highlight-rx RET (or "foo" "bar") RET
> M-x highlight-regexp RET \(foo\|bar\) RET

Oh, I see.

I think it would be rather odd to have just one regexp-reading command
that uses the rx syntax interactively.  If this is something we want
(and I don't really envision people willingly typing in rx forms
interactively), then it should be fixed in `read-regexp'.  It could, for
instance, have a keystroke that changes the input mode.

But do we think that people want to type in rx forms?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no